Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Interface JDBCFetchConfiguration

All Superinterfaces:
  Cloneable, EagerFetchModes, FetchConfiguration, JoinSyntaxes, LockLevels, LockScopes, LRSSizes, QueryFlushModes, Serializable

All Known Implementing Classes:
  DelegatingJDBCFetchConfiguration, JDBCFetchConfigurationImpl, TargetFetchConfiguration

    public interface JDBCFetchConfiguration

extends FetchConfiguration, EagerFetchModes, LRSSizes, JoinSyntaxes

JDBC extensions to OpenJPA's `FetchConfiguration`.

Since:
  0.3.0
Author:
  Abe White

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.FetchConfiguration
`DEFAULT, FETCH_LOAD, FETCH_NONE, FETCH_REF`

Fields inherited from interface org.apache.openjpa.kernel.LockLevels
`LOCK_NONE, LOCK_READ, LOCK_WRITE`

Fields inherited from interface org.apache.openjpa.kernel.LockScopes
`LOCKSCOPE_EXTENDED, LOCKSCOPE_NORMAL`

Fields inherited from interface org.apache.openjpa.kernel.QueryFlushModes
`FLUSH_FALSE, FLUSH_TRUE, FLUSH_WITH_CONNECTION`

Fields inherited from interface org.apache.openjpa.jdbc.kernel.EagerFetchModes
`EAGER_JOIN, EAGER_NONE, EAGER_PARALLEL`

Fields inherited from interface org.apache.openjpa.jdbc.kernel.LRSSizes
`SIZE_LAST, SIZE_QUERY, SIZE_UNKNOWN`

Fields inherited from interface org.apache.openjpa.jdbc.sql.JoinSyntaxes
`SYNTAX_DATABASE, SYNTAX_SQL92, SYNTAX_TRADITIONAL`

Method Summary
`JDBCFetchConfiguration` | `addFetchInnerJoin(String field)` Adds `field` to the set of fully-qualified field names to eagerly join when loading objects.
`JDBCFetchConfiguration` | `addFetchInnerJoins(Collection<String> fields)` Adds `fields` to the set of fully-qualified field names to eagerly join when loading objects.
`JDBCFetchConfiguration` | `addJoin(String field)` Adds `field` to the set of fully-qualified field names to eagerly join when loading objects.
`JDBCFetchConfiguration` | `addJoins(Collection<String> fields)` Adds `fields` to the set of fully-qualified field names to eagerly join when loading objects.
`JDBCFetchConfiguration` | `clearJoins()` Clears the set of field names to join when loading data.
`int` | `getEagerFetchMode()` Return the eager fetch mode.
`int` | `getFetchDirection()` The fetch direction to use as a constant from `ResultSet`.
`Set<String>` | `getFetchInnerJoins()` Returns the names of the inner fetch joins that this component will use when loading objects.
`boolean` | `getIgnoreDfgForFkSelect()` Affirms if foreign key for a relation field will be pre-fetched as part of the owning object irrespective of whether the field is included in the default fetch group of this fetch configuration.
`int` | `getIsolation()` The isolation level for queries issued to the database.
`Set<String>` | `getJoins()` Returns the names of the joins that this component will use when loading objects.
`int` | `getJoinSyntax()` The join syntax to use.
`int` | `getLRSSize()` The large result set size mode to use.
`int` | `getResultSetType()` The result set type to use as a constant from `ResultSet`.
`int` | `getSubclassFetchMode()` Return the subclass fetch mode.
`int` | `getSubclassFetchMode(ClassMapping cls)` Return the effective subclass fetch mode for the given type.
`boolean` | `hasFetchInnerJoin(String field)` Return true if the given fully-qualified inner fetch join has been added.
`boolean` | `hasJoin(String field)` Return true if the given fully-qualified join has been added.
`JDBCFetchConfiguration` | `removeJoin(String field)` Removes `field` to the set of fully-qualified field names to eagerly join when loading objects.
`JDBCFetchConfiguration` | `removeJoins(Collection<String> fields)` Removes `fields` from the set of fully-qualified field names to eagerly join when loading objects.
`JDBCFetchConfiguration` | `setEagerFetchMode(int mode)` Set the eager fetch mode.
`JDBCFetchConfiguration` | `setFetchDirection(int direction)` The fetch direction to use as a constant from `ResultSet`.
`void` | `setIgnoreDfgForFkSelect(boolean b)` Affirms if foreign key for a relation field will be pre-fetched as part of the owning object irrespective of whether the field is included in the default fetch group of this fetch configuration.
`JDBCFetchConfiguration` | `setIsolation(int level)` The isolation level for queries issued to the database.
`JDBCFetchConfiguration` | `setJoinSyntax(int syntax)` The join syntax to use.
`JDBCFetchConfiguration` | `setLRSSize(int lrsSize)` The large result set size mode to use.
`JDBCFetchConfiguration` | `setResultSetType(int type)` The result set type to use as a constant from `ResultSet`.
`JDBCFetchConfiguration` | `setSubclassFetchMode(int mode)` Set the subclass fetch mode.
`JDBCFetchConfiguration` | `traverseJDBC(FieldMetaData fm)` Convenience method to cast traversal to store-specific type.

Methods inherited from interface org.apache.openjpa.kernel.FetchConfiguration
`addFetchGroup, addFetchGroups, addField, addFields, clearFetchGroups, clearFields, clone, copy, getCacheRetrieveMode, getCacheStoreMode, getContext, getExtendedPathLookup, getFetchBatchSize, getFetchGroups, getFields, getFlushBeforeQueries, getHint, getHints, getLockScope, getLockTimeout, getMaxFetchDepth, getQueryCacheEnabled, getQueryTimeout, getReadLockLevel, getRootClasses, getRootInstances, getWriteLockLevel, hasFetchGroup, hasField, isHintSet, lock, newResultList, removeFetchGroup, removeFetchGroups, removeField, removeFields, requiresFetch, requiresLoad, resetFetchGroups, setCacheRetrieveMode, setCacheStoreMode, setContext, setExtendedPathLookup, setFetchBatchSize, setFlushBeforeQueries, setHint, setHint, setLockScope, setLockTimeout, setMaxFetchDepth, setQueryCacheEnabled, setQueryTimeout, setReadLockLevel, setRootClasses, setRootInstances, setWriteLockLevel, traverse, unlock`

Method Detail

### getEagerFetchMode

    int getEagerFetchMode()

  Return the eager fetch mode. Defaults to the `openjpa.jdbc.EagerFetchMode` setting.

### setEagerFetchMode

    JDBCFetchConfiguration setEagerFetchMode(int mode)

  Set the eager fetch mode. Defaults to the `openjpa.jdbc.EagerFetchMode` setting.

### getSubclassFetchMode

    int getSubclassFetchMode()

  Return the subclass fetch mode. Defaults to the `openjpa.jdbc.SubclassFetchMode` setting.

### getSubclassFetchMode

    int getSubclassFetchMode(ClassMapping cls)

  Return the effective subclass fetch mode for the given type.

### setSubclassFetchMode

    JDBCFetchConfiguration setSubclassFetchMode(int mode)

  Set the subclass fetch mode. Defaults to the `openjpa.jdbc.SubclassFetchMode` setting.

### getResultSetType

    int getResultSetType()

  The result set type to use as a constant from `ResultSet`. Defaults to the `openjpa.jdbc.ResultSetType` setting.

### setResultSetType

    JDBCFetchConfiguration setResultSetType(int type)

  The result set type to use as a constant from `ResultSet`. Defaults to the `openjpa.jdbc.ResultSetType` setting.

### getFetchDirection

    int getFetchDirection()

  The fetch direction to use as a constant from `ResultSet`. Defaults to the `openjpa.jdbc.FetchDirection` setting.

### setFetchDirection

    JDBCFetchConfiguration setFetchDirection(int direction)

  The fetch direction to use as a constant from `ResultSet`. Defaults to the `openjpa.jdbc.FetchDirection` setting.

### getLRSSize

    int getLRSSize()

  The large result set size mode to use. Defaults to the `openjpa.jdbc.LRSSize` setting.

### setLRSSize

    JDBCFetchConfiguration setLRSSize(int lrsSize)

  The large result set size mode to use. Defaults to the `openjpa.jdbc.LRSSize` setting.

### getJoinSyntax

    int getJoinSyntax()

  The join syntax to use.

### setJoinSyntax

    JDBCFetchConfiguration setJoinSyntax(int syntax)

  The join syntax to use.

### getJoins

    Set<String> getJoins()

  Returns the names of the joins that this component will use when loading objects. Defaults to the empty set. This set is not thread safe.

  Since:
    0.4.0.0

### hasJoin

    boolean hasJoin(String field)

  Return true if the given fully-qualified join has been added.

  Since:
    0.4.0.0

### addJoin

    JDBCFetchConfiguration addJoin(String field)

  Adds `field` to the set of fully-qualified field names to eagerly join when loading objects. Each class can have at most one to-many eagerly joined fields.

  Since:
    0.4.0.0

### addJoins

    JDBCFetchConfiguration addJoins(Collection<String> fields)

  Adds `fields` to the set of fully-qualified field names to eagerly join when loading objects. Each class can have at most one to-many eagerly joined fields.

  Since:
    0.4.0.0

### removeJoin

    JDBCFetchConfiguration removeJoin(String field)

  Removes `field` to the set of fully-qualified field names to eagerly join when loading objects.

  Since:
    0.4.0.0

### removeJoins

    JDBCFetchConfiguration removeJoins(Collection<String> fields)

  Removes `fields` from the set of fully-qualified field names to eagerly join when loading objects.

  Since:
    0.4.0.0

### clearJoins

    JDBCFetchConfiguration clearJoins()

  Clears the set of field names to join when loading data.

  Since:
    0.4.0.0

### getIsolation

    int getIsolation()

  The isolation level for queries issued to the database. This overrides the persistence-unit-wide `openjpa.jdbc.TransactionIsolation` value.

  Must be one of `Connection.TRANSACTION_NONE`, `Connection.TRANSACTION_READ_UNCOMMITTED`, `Connection.TRANSACTION_READ_COMMITTED`, `Connection.TRANSACTION_REPEATABLE_READ`, `Connection.TRANSACTION_SERIALIZABLE`, or -1 for the default connection level specified by the context in which this fetch configuration is being used.

  Since:
    0.9.7

### setIsolation

    JDBCFetchConfiguration setIsolation(int level)

  The isolation level for queries issued to the database. This overrides the persistence-unit-wide `openjpa.jdbc.TransactionIsolation` value.

  Must be one of `Connection.TRANSACTION_NONE`, `Connection.TRANSACTION_READ_UNCOMMITTED`, `Connection.TRANSACTION_READ_COMMITTED`, `Connection.TRANSACTION_REPEATABLE_READ`, `Connection.TRANSACTION_SERIALIZABLE`, or -1 for the default connection level specified by the context in which this fetch configuration is being used.

  Since:
    0.9.7

### traverseJDBC

    JDBCFetchConfiguration traverseJDBC(FieldMetaData fm)

  Convenience method to cast traversal to store-specific type.

### getFetchInnerJoins

    Set<String> getFetchInnerJoins()

  Returns the names of the inner fetch joins that this component will use when loading objects. Defaults to the empty set. This set is not thread safe.

  Since:
    1.0.3

### hasFetchInnerJoin

    boolean hasFetchInnerJoin(String field)

  Return true if the given fully-qualified inner fetch join has been added.

  Since:
    1.0.3

### addFetchInnerJoin

    JDBCFetchConfiguration addFetchInnerJoin(String field)

  Adds `field` to the set of fully-qualified field names to eagerly join when loading objects. Each class can have at most one to-many eagerly joined fields.

  Since:
    1.0.3

### addFetchInnerJoins

    JDBCFetchConfiguration addFetchInnerJoins(Collection<String> fields)

  Adds `fields` to the set of fully-qualified field names to eagerly join when loading objects. Each class can have at most one to-many eagerly joined fields.

  Since:
    1.0.3

### getIgnoreDfgForFkSelect

    boolean getIgnoreDfgForFkSelect()

  Affirms if foreign key for a relation field will be pre-fetched as part of the owning object irrespective of whether the field is included in the default fetch group of this fetch configuration.
  By default, foreign key for a relation field is pre-fetched as part of the owning object only if the field in included in the default fetch group of this fetch configuration.

  Since:
    2.2.0

### setIgnoreDfgForFkSelect

    void setIgnoreDfgForFkSelect(boolean b)

  Affirms if foreign key for a relation field will be pre-fetched as part of the owning object irrespective of whether the field is included in the default fetch group of this fetch configuration.
  By default, foreign key for a relation field is pre-fetched as part of the owning object only if the field in included in the default fetch group of this fetch configuration.

  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.